#define WIN32_LEAN_AND_MEAN
#include <windows.h>

typedef DWORD TLSIndex;

inline void TLSSet( TLSIndex tls_index, void * value )
{
    TlsSetValue( tls_index, value );
}

inline void * TLSGet( TLSIndex tls_index )
{
    return TlsGetValue( tls_index );
}

inline TLSIndex TLSCreate()
{
    return TlsAlloc();
}

inline void TLSDestroy( TLSIndex tls_index )
{
    TlsFree( tls_index );
}