#include <string.h>
#include <string>
#include <assert.h>

#include "ThreadLocalStorage.h"


ThreadLocalStorage<int> g_TestSmall( 5 );
ThreadLocalStorage<std::string> g_TestBig( "Hello" );

int main()
{
    ThreadLocalStorageBase::Initialize();
	ThreadLocalStorageBase::StartupOnThreadEnter();

    int a = g_TestSmall;
    g_TestSmall = 1234;
    int b = g_TestSmall;
    
    std::string hello = g_TestBig;
    g_TestBig = "Good bye";
    std::string good_bye = g_TestBig;
    
    ThreadLocalStorageBase::CleanupOnThreadExit();
    ThreadLocalStorageBase::Finalize();
}